#!/bin/bash

ROOT_DIR=`pwd`/..
SCRIPT_NAME=`basename "$0"`

java -jar $ROOT_DIR/lib/protoj.jar \
	"init -rootDir $ROOT_DIR -scriptName $SCRIPT_NAME" \
	"javac -body -opt compileTask.source=1.5 -opt compileTask.memoryMaximumSize=8m -opt dirSet.includes=helloworld" \
	"java -body -opt javaTask.classname=helloworld.HelloWorld -opt javaTask.maxmemory=1k" \
	"$@"
