package org.serverdemo.system;

/**
 * Exceptions are softened in methods that are called from this project.
 * 
 * @author Ashley Williams
 * 
 */
public final aspect SoftException {
	declare soft : Exception : execution(* org.serverdemo..*.*(..)) && within(org.serverdemo..*);
	declare soft : Exception : execution(org.serverdemo..*.new(..)) && within(org.serverdemo..*);
}
